# File for landmarker USER PREFERENCES 
# Name of this file: landmarker_preferences.tcl
# Location of this file: 
#   linux: ~username/landmarker_preferences/
#   windows: C:\Documents and Settings\username\landmarker_preferences\
#   (NOTE: Sometimes the user's home is somewhere else (networked machine or...). Execute determine_user_home.exe to determine.)

# Currently you need to set your platform here: either "windows" or "linux".
set platform "windows"

# Set name of a directory to which temporary files can be written (could be a place where all users have access).
# NOTE that directory name must end with a slash (/).
# NOTE also, that even on windows, directory names must be given using forward slashes (/) not backward slashes (\).
if {$platform == "windows"} {set tmpdir "C:/tmp/"}
if {$platform == "linux"} {set tmpdir "/tmp/"}

# landmarker_home is the name of the directory where landmarker.tcl and its related application files are located.
# NOTE that directory name must end with a slash (/).
# NOTE also, that even on windows, directory names must be given using forward slashes (/) not backward slashes (\).
# NOTE that for the wrapped windows version of landmarker, this setting is not used.
if {$platform == "windows"} {set landmarker_home "C:/landmarker2.0.8/"}
if {$platform == "linux"} {set landmarker_home "/"}

# hume_library should be 1 if you have installed the Hume tcl math Library, otherwise 0.
set hume_library 0

set UserInterface 1
set CubeAxesActorOn 0
set NoUpdateViewOpenFile 1
set ImageFlipY 1
set ImageFlipYWarning 0
set abscolors 0
set lowersr -255.
set uppersr 255.
set ShowLandmarkNumbersStartFromOne 0
set writeSTLbinary 0
# Warning: Binary files written on one system may not be readable on other systems. vtkSTLWriter uses VAX or PC byte ordering and swaps bytes on other systems.

set Xwinposition 600
set Ywinposition 0

set ShowCutPiece 0
set ForceBigEndianImageRead 1

set OutPointFactor 50
set AnnotateTextSize 16

##################################################

##########################################################################################################
#### Do not make changes below this line #####
# Determine the directory from which you started landmarker, and let this be your default indir and outdir.
set pwd [pwd]
set indir $pwd
set outdir $pwd
###### END OF landmarker_preferences.tcl #########

