# File for landmarker USER PREFERENCES 
# Name of this file: landmarker_preferences.tcl
# Location of this file: 
#   linux: ~username/landmarker_preferences/
#   windows: C:\Documents and Settings\username\landmarker_preferences\
#   (NOTE: Sometimes the user's home is somewhere else (networked machine or...).  Run the tcl script userhome_test.tcl to determine.)

# Currently you need to set your plaform here: either "windows" or "linux".
set platform "windows"

# landmarker_home is the name of the directory where landmarker.tcl and its related application files are located.
# NOTE that directory name must end with a slash (/).
# NOTE also, that even on windows, directory names must be given using forward slashes (/) not backward slashes (\).
if {$platform == "windows"} {set landmarker_home "C:/programs/landmarker2.0.6b/"}
if {$platform == "linux"} {set landmarker_home "/3Dlvol7/staff/tdarvann/landmarker101010/vtk/"}

# hume_library should be 1 if you have installed the Hume tcl math Library, otherwise 0.
set hume_library 1

set VolumeSlicerCursorCubeWidthXfactor 0.2
set VolumeSlicerCursorCubeWidthYfactor 0.2
set VolumeSlicerCursorCubeWidthZfactor 0.2

set UserInterface 1
set CubeAxesActorOn 0
set NoUpdateViewOpenFile 1
set ImageFlipY 0
set ImageFlipYWarning 0
set negatecolors 0
set abscolors 0
set lmDiameterFactor 1.0
set lowersr -255.
set uppersr 255.
set tubeColorRed 1
set tubeColorGreen 1
set tubeColorBlue 1

set Xwinposition 600
set Ywinposition 0

set ShowCutPiece 0
set ForceBigEndianImageRead 0

set OutPointFactor 50
set VolumeSlicerWindowSizeX 1400
##set VolumeSlicerWindowSizeY 860
set VolumeSlicerWindowSizeY 860

set ShowLandmarkNumbersStartFromOne 1

# Set name of a directory to which temporary files can be written (could be a place where all users have access).
# NOTE that directory name must end with a slash (/).
# NOTE also, that even on windows, directory names must be given using forward slashes (/) not backward slashes (\).
if {$platform == "windows"} {set tmpdir "C:/tmp/"}
if {$platform == "linux"} {set tmpdir "/tmp/"}

# Variables related to closest_point procedures
set closestpoint_present 1
set closestp_range_min -4.0
set closestp_range_max 4.0
set closestp_signed 0
if {$platform == "windows"} {set closest_point_difference_home "c:/tron/"}
if {$platform == "linux"} {set closest_point_difference_home "/3Dlvol10/staff/tdarvann/cxx_test/trons/closest_point_difference/"}
if {$platform == "windows"} {set closest_point_deformation_home "c:/tron/"}
if {$platform == "linux"} {set closest_point_deformation_home "/3Dlvol10/staff/tdarvann/cxx_test/trons/closest_point_deformation/"}

##########################################################################################################
#### Do not make changes below this line #####
# Determine the directory from which you started landmarker, and let this be your default indir and outdir.
set pwd [pwd]
set indir $pwd
set outdir $pwd
###### END OF landmarker_preferences.tcl #########

